package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : ANDON_PLC控制
 * @Reference :
 * @Author : hansen.ke
 * @CreateDate : 2019-05-10 17:32
 * @Modify:
 **/
@Data
@Entity
@Table(name="ANDON_PLC")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api("安灯PLC控制")
public class AndonPLC extends BaseBean {

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam(value = "工作中心代码")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam(value = "工作单元代码")
    private String workCellCode;

    @Column(name = "NODE_CODE")
    @ApiParam(value = "控制节点代码")
    private String nodeCode;

    @Column(name = "NODE_IP")
    @ApiParam(value = "IP地址")
    private String nodeIP;

    @Column(name = "CHANNEL_NAME")
    @ApiParam(value = "通道名称")
    private String channelName;

    @Column(name = "TAG_NAME")
    @ApiParam(value = "标签名称")
    private String tagName;

    @Column(name = "TAG_ADDRESS")
    @ApiParam(value = "标签地址")
    private String tagAddress;

    @Column(name = "TAG_TYPE")
    @ApiParam(value = "标签类型")
    private String tagType;

    @Column(name = "GROUP_NO")
    @ApiParam(value = "分组号")
    private String groupNo;

    @Column(name = "ALARM_CODE")
    @ApiParam(value = "安灯类型代码")
    private String alarmCode;

    @Column(name = "TAG_BUSINESS_TYPE")
    @ApiParam(value = "标签业务类型")
    private String tagBusinessType;

    @Column(name = "IS_ALARM_STATUS")
    @ApiParam(value = "是否按灯状态", example = "1")
    private Integer isAlarmStatus;
}
