package cn.estsh.i3plus.pojo.mes.pcn.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:
 * @Reference:
 * @Author: Crish
 * @CreateDate:2019-04-16-17:36
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="MES_WORK_ORDER")
@Api("生产工单")
public class MesWorkOrder extends BaseBean {
    @Column(name="ORDER_NO")
    @ApiParam("工单号")
    private String orderNo;

    @Column(name="PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name="PROD_CFG_CODE")
    @ApiParam("产品配置代码")
    private String prodCfgCode;

    @Column(name="QTY")
    @ApiParam("数量")
    private Double qty;

    @Column(name="COMPLETE_QTY")
    @ApiParam("完成数量")
    private Double completeQty;

    @Column(name="REPAIR_QTY")
    @ApiParam("返修数量")
    private Double repairQty;

    @Column(name="SCRAP_QTY")
    @ApiParam("报废数量")
    private Double scrapQty;

    @Column(name="SEQ")
    @ApiParam("工单序号")
    private Double seq;

    @Column(name="WO_STATUS")
    @ApiParam("工单状态")
    private Integer workOrderStatus;

    @Column(name="WO_TYPE")
    @ApiParam("工单类型")
    private Integer workOrderType;

    @Column(name="NEXT_ORDER")
    @ApiParam("下一工单")
    private String nextOrder;

    @Column(name="PLAN_ORDER_NO")
    @ApiParam("生产计划单号")
    private String planOrderNo;

    @Column(name="WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name="WORK_CELL_CODE")
    @ApiParam("工作单元代码")
    private String workCellCode;

    @Column(name="SCHEDULE_DATE")
    @ApiParam("排产日期")
    private String scheduleDate;

    @Column(name="CUST_PROD_LINE_CODE")
    @ApiParam("客户禅产线代码")
    private String custProdLineCode;

    @Column(name="SHIFT_CODE")
    @ApiParam("班次")
    private String shiftCode;

    @Column(name="START_TIME")
    @ApiParam("开始时间")
    private String startTime;

    @Column(name="END_TIME")
    @ApiParam("结束时间")
    private String endTime;

    @Column(name="WO_SOURCE")
    @ApiParam("工单来源")
    private String workOrderSource;

    @Column(name="MEMO")
    @ApiParam("备注")
    private String memo;

    public double getQtyVal() {
        return this.qty == null ? 0.0d : this.qty;
    }

    public double getCompleteQtyVal() {
        return this.completeQty == null ? 0.0d : this.completeQty;
    }

    public double getRepairQtyVal() {
        return this.repairQty == null ? 0.0d : this.repairQty;
    }

    public double getScrapQtyVal() {
        return this.scrapQty == null ? 0.0d : this.scrapQty;
    }

    public double getSeqVal() {
        return this.seq == null ? 0.0d : this.seq;
    }

    public int getWorkOrderStatusVal() {
        return this.workOrderStatus == null ? 0 : this.workOrderStatus;
    }

    public int getWorkOrderTypeVal() {
        return this.workOrderType == null ? 0 : this.workOrderType;
    }
}
