package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;

/**
 * @Description : 任务单模型
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2019-03-06 15:50
 * @Modify:
 **/
@Data
public class WmsTaskInfoModel implements Serializable {
    @ApiParam("任务单号")
    public String orderNo;
    @Column(name = "TRANS_TYPE_CODE")
    /**
     * 状态:1=创建,10=待处理,20=已处理
     */
    @ApiParam(value = "任务状态")
    public Integer taskStatus;

    @ApiParam("作业类型名称")
    public String opTypeName;

    @ApiParam(value = "交易类型代码")
    private String transTypeCode;

    @ApiParam("关联单号")
    public String refSrc;

    @ApiParam(value = "关联单据业务类型")
    private String busiTypeDesc;

    @Column(name = "ZDATE")
    @ApiParam(value = "计划日期")
    private String zdate;

    @Column(name = "ZTIME")
    @ApiParam(value = "计划时间")
    private String ztime;

    @Column(name = "CUST_NO")
    @ApiParam(value = "客户编号")
    private String custNo;

    @Column(name = "VENDOR_NO")
    @ApiParam(value = "供应商编号")
    private String vendorNo;

    public WmsTaskInfoModel() {
    }

    public WmsTaskInfoModel(String orderNo, Integer taskStatus, String opTypeName, String transTypeCode, String refSrc,
                            String busiTypeDesc, String zdate, String ztime, String custNo, String vendorNo) {
        this.orderNo = orderNo;
        this.taskStatus = taskStatus;
        this.opTypeName = opTypeName;
        this.transTypeCode = transTypeCode;
        this.refSrc = refSrc;
        this.busiTypeDesc = busiTypeDesc;
        this.zdate = zdate;
        this.ztime = ztime;
        this.custNo = custNo;
        this.vendorNo = vendorNo;
    }
}
