package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.Type;

import javax.persistence.*;

/**
 * @Description : 打印模板
 * @Reference :
 * @Author : siliter
 * @CreateDate : 2019-03-18 11:00
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="SYS_LABEL_TEMPLATE")
@Api(value="打印模板",description = "打印模板")
public class SysLabelTemplate extends BaseBean {

    @Column(name="TEMPLATE_CODE")
    @ApiParam(value ="模板代码")
    private String templateCode;

    @Column(name="TEMPLATE_NAME")
    @ApiParam(value ="模板名称")
    private String templateName;

    @Lob
    @Column(name="TEMPLATE_CONTENT")
    @ApiParam(value ="模板内容")
    private String templateContent;

    // 参数拼接，多参数都好分隔，后台在做处理
    @ApiParam(value ="模板参数拼接")
    @Transient
    private String paramsPack;
}
