package cn.estsh.i3plus.pojo.report.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.Type;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : Adair Peng
 * @CreateDate : 2019-01-18 11:23
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="BR_TEMPLATE")
@Api(value="报表模板",description = "报表模板")
public class BrTemplate extends BaseBean {

    @Column(name="NAME")
    @ApiParam(value ="模板名称" , access ="模板名称")
    private String name;

    @Column(name="TEMPLATE_TYPE")
    @ApiParam(value ="模板类型" , example ="-1",access="表格，图表")
    private Integer templateType;

    @Column(name="TEMPLATE_STATUS")
    @ApiParam(value ="模板状态" , example ="-1",access="模板状态")
    private Integer templateStatus;

    @Column(name="NUM_POJO")
    @ApiParam(value ="对象数量" , example ="0" , access ="对象数量")
    private Integer numPojo;

    @Lob
    @Column(name="TEMPLATE_POJO_NAMES_RDD")
    @ApiParam(value ="对象名称" , access ="对象名称")
    private String templatePojoNamesRdd;

    @Column(name="NUM_SERVER")
    @ApiParam(value ="对象数量" , example ="0" , access ="对象数量")
    private Integer numServer;

    @Lob
    @Column(name="TEMPLATE_SERVER_ID_LIST")
    @ApiParam(value ="数据服务ID集合" , access ="服务名称")
    private String templateServerIdList;

    @Lob
    @Column(name="TEMPLATE_SERVER_NAMES_RDD")
    @ApiParam(value ="服务名称" , access ="服务名称")
    private String templateServerNamesRdd;

    @Column(name="NUM_TEMPLATE_ATTR_FILTER")
    @ApiParam(value ="对象数量" , example ="0" , access ="对象数量")
    private Integer numTemplateAttrFilter;

    @Lob
    @Column(name="template_attr_filter_list")
    @ApiParam(value ="模板查询条件" , access ="模板查询条件")
    private String templateAttrFilterList;

    @Column(name="NUM_TEMPLATE_ATTR_FILTER_GROUP")
    @ApiParam(value ="对象数量" , example ="0" , access ="对象数量")
    private Integer numTemplateAttrFilterGroup;

    @Lob
    @Column(name="TEMPLATE_ATTR_FILTER_GROUP_LIST")
    @ApiParam(value ="模板分组条件" , access ="模板分組条件")
    private String templateAttrFilterGroupList;

    @Column(name="NUM_TEMPLATE_ATTR_SHOW")
    @ApiParam(value ="对象数量" , example ="0" , access ="对象数量")
    private Integer numTemplateAttrShow;

    @Lob
    @Column(name="TEMPLATE_ATTR_SHOW_LIST")
    @ApiParam(value ="模板显示属性" , access ="模板显示属性")
    private String templateAttrShowList;

    @Column(name="NUM_TEMPLATE_AGGREGATION")
    @ApiParam(value ="对象聚集数量" , example ="0" , access ="对象聚集数量")
    private Integer numTemplateAggregation;

    @Lob
    @Column(name="TEMPLATE_ATTR_AGGREGATION_LIST")
    @ApiParam(value ="模板聚集属性" , access ="模板聚集属性")
    private String templateAttrAggregationList;

    @Column(name="TEMPLATE_DESCRIPTION")
    @ApiParam(value ="模板描述" , access ="模板描述")
    private String templateDescription;

    @Lob
    @Column(name="TEMPLATE_HQL")
    @ApiParam(value ="模板执行HQL" , access ="模板执行HQL")
    private String templateHql;

    @Lob
    @Column(name="TEMPLATE_HTML")
    @ApiParam(value ="模板HTML" , access ="模板HTML")
    private String templateHtml;

    @Transient
    @ApiParam(value ="模板服务编号集合")
    private List<Integer> serverIdList = new ArrayList<>();

    @Transient
    @ApiParam(value ="模板服务")
    private List<BrRefTemplateServer> serverList = new ArrayList<>();

    @Transient
    @ApiParam(value ="模板服务对象")
    private List<BrRefServerPojo> serverPojoList = new ArrayList<>();

    @Transient
    @ApiParam(value ="模板服务对象关系")
    private List<BrRefPojo> serverPojoRefList = new ArrayList<>();

    @Transient
    @ApiParam(value ="模板服务对象关联属性")
    private List<BrPojoAttr> pojoAttrList = new ArrayList<>();


    @Transient
    @ApiParam(value ="模板服务对象查询条件")
    private List<BrPojoAttr> pojoAttrWhereList = new ArrayList<>();

    @Transient
    @ApiParam(value ="模板服务对象分组条件")
    private List<BrPojoAttr> pojoAttrGroupList = new ArrayList<>();

    @Transient
    @ApiParam(value ="模板服务对象聚合条件")
    private List<BrPojoAttr> pojoAttrAggregationList = new ArrayList<>();

    @Transient
    @ApiParam(value ="模板服务对象显示属性")
    private List<BrPojoAttr> pojoAttrShowList = new ArrayList<>();

    @Transient
    @ApiParam(value ="模板服务集合")
    private List<String> serverNameList = new ArrayList<>();

}
