package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description : 盘点调差范围信息
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2019-06-17 12:01
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_CS_ADJUST_RANGE")
@Api("盘点调差范围信息")
public class WmsCSAdjustRange extends BaseBean {

    @Column(name="ORDER_NO")
    @ApiParam("单号")
    public String orderNo;

    @Column(name = "ITEM")
    @ApiParam("行号")
    public String item;

    @Column(name="IS_ADJUST")
    @ApiParam(value = "调整标识", example = "1")
    public Integer isAdjust;

    @Transient
    @ApiParam("物料编码")
    public String partNo;

    @Transient
    @ApiParam("物料名称")
    public String partNameRdd;

    @Transient
    @ApiParam("存储区编号")
    public String zoneNo;

    @Transient
    @ApiParam("库位编号")
    public String locateNo;

    @Transient
    @ApiParam("单位")
    public String unit;

    public WmsCSAdjustRange(){}
    public WmsCSAdjustRange(String orderNo, String item, Integer isAdjust, String partNo, String partNameRdd, String zoneNo, String locateNo, String unit,String organizeCode) {
        this.orderNo = orderNo;
        this.item = item;
        this.isAdjust = isAdjust;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.zoneNo = zoneNo;
        this.locateNo = locateNo;
        this.unit = unit;
        this.organizeCode = organizeCode;
    }
}
