package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :作业步骤类型信息
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-22 9:33
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_DATA_AUTH")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value="数据权限信息",description = "数据权限信息")
public class WmsDataAuth extends BaseBean {

    @Column(name = "ROLE_CODE")
    @ApiParam(value = "角色编号")
    private String roleCode;

    @Column(name = "DATA_OBJ")
    @ApiParam(value = "数据对象")
    private Integer dataObj;

    public String getDataObjString() {
        return String.valueOf(dataObj);
    }

    @Column(name = "DATA_OBJ_VALUE")
    @ApiParam(value = "数据对象值")
    private String dataObjValue;

    @Column(name = "ADD_OP")
    @ApiParam(value = "新增操作", example = "0")
    private Integer addOp;

    @Column(name = "DEL_OP")
    @ApiParam(value = "删除操作", example = "0")
    private Integer delOp;

    @Column(name = "UPD_OP")
    @ApiParam(value = "修改操作", example = "0")
    private Integer updOp;

    @Column(name = "QUERY_OP")
    @ApiParam(value = "查询操作", example = "0")
    private Integer queryOp;

    @Column(name = "ROLE_NAME_RDD")
    @ApiParam(value = "角色名称")
    private String roleNameRdd;

}
