package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : WMS_产品报工明细信息
 * @Reference :
 * @Author : jessica.chen
 * @CreateDate : 2019-06-26 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_DOC_FG_DETAIL")
@Api("WMS_产品报工明细信息")
public class WmsDocFgDetail extends BaseBean {

    @Column(name="ORDER_NO")
    @ApiParam("订单号")
    public String orderNo;

    @Column(name="WO_NO")
    @ApiParam("ERP工单号")
    public String woNo;

    @Column(name="LINE_NO")
    @ApiParam("生产线")
    public String lineNo;

    @Column(name="COMMIT_TIME")
    @ApiParam("提交时间")
    public String commitTime;

    @Column(name="MFG_LOG_NO")
    @ApiParam("生产批次")
    public String mfgLocNo;

    @Column(name="SN")
    @ApiParam("条码")
    public String sn;

    @Column(name="PART_NO")
    @ApiParam(value = "物料编码")
    public String partNo;

    @Column(name="PART_NAME_RDD")
    @ApiParam("物料名称")
    public String partNameRdd;

    @Column(name="BOM_UPDATE")
    @ApiParam("BOM切换标识")
    public String bomUpdate;

    @Column(name="QTY")
    @ColumnDefault("0")
    @ApiParam(value = "数量", example = "0")
    public Double qty;

    @Column(name="UNIT")
    @ApiParam("单位")
    public String unit;

    @Column(name="IN_AREA_NO")
    @ApiParam("入库ERP库存地")
    public String inAreaNo;

    @Column(name="ITEM_PART_NO")
    @ApiParam("子物料号")
    public String itemPartNo;

    @Column(name="ITEM_PART_NAME")
    @ApiParam("子料物料描述")
    public String itemPartName;

    @Column(name="ITEM_UNIT")
    @ApiParam("子计量单位")
    public String itemUnit;

    @Column(name="ITEM_QTY")
    @ColumnDefault("0")
    @ApiParam(value = "子用量", example = "0")
    public Double itemQty;

    @Column(name="OUT_AREA_NO")
    @ApiParam("消耗ERP库存地")
    public String outAreaNo;

    @Column(name="SID")
    @ApiParam("SID")
    public String sid;

    /**
     * 状态:10=新建,20=已处理,30=处理出错
     */
    @Column(name="ORDER_STATUS")
    @ApiParam(value = "状态", example = "1")
    public Integer orderStatus;

    /**
     * 数据来源:ZMMES=知明MES,TBMES=MES接口
     */
    @Column(name="SRC")
    @ApiParam("单据来源")
    public String src;

    /**
     * 是否锁定：1=锁定 2=未锁定
     */
    @Column(name="IS_LOCK")
    @ApiParam(value = "是否锁定", example = "2")
    public Integer isLock;

    @Column(name="REMARK")
    @ApiParam("备注")
    public String remark;

    @Column(name="COMMIT_DATE")
    @ApiParam("提交日期")
    public String commitDate;
}
