package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 打印队列信息
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_SN_PRINT")
@Api("打印队列信息")
public class WmsSnPrint extends BaseBean {

    @Column(name="REF_TYPE")
    @ApiParam("来源单据类型")
    public String refType;

    @Column(name="REF_NO")
    @ApiParam("来源单据编号")
    public String refNo;

    @Column(name="PRINT_CONTEXT")
    @ApiParam("打印内容")
    public String printContext;

    @Column(name="REMARK")
    @ApiParam("备注")
    public String remark;

    /**
     * 状态:0=创建,5=待处理,10=已处理
     */
    @Column(name="PRINT_STATUS")
    @ApiParam(value = "状态", example = "0")
    public Integer printStatus;

    @Column(name="PRINT_TEMPLATE")
    @ApiParam("打印模板")
    public String printTemplete;

    @Column(name="PRINTER")
    @ApiParam("打印机")
    public String printer;
}
