package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description : 供应商零件关系
 * @Reference :
 * @Author : amy
 * @CreateDate : 2019-06-11 13:47
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_VENDOR_PART")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value="供应商零件关系",description = "供应商零件关系")
public class WmsVendorPart extends BaseBean {

    @Column(name = "VENDOR_NO")
    @ApiParam(value = "供应商编号")
    private String vendorNo;

    @Column(name = "PART_NO")
    @ApiParam(value = "物料号")
    private String partNo;


    @Transient
    @ApiParam("物料名称")
    private String partName;


    @Transient
    @ApiParam("供应商名称")
    private String vendorName;
}
